Subject: bug#39090: closed (Re: bug#39090: Installer fails on install disk built from master)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jan 2020 17:46:03 +0000

Your bug report

#39090: Daemon fails with "got unexpected path ... from substituter"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39090: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39090
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39090: Installer fails on install disk built from master
From: Ludovic Courtès <[email-masked]>
To: Gábor Boskovits <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 15 Jan 2020 18:44:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Gábor Boskovits <[email-masked]> skribis:

> Ricardo Wurmus <[email-masked]> ezt írta (időpont: 2020. jan. 11.,
> Szo, 17:44):
>>
>>
>> Gábor Boskovits <[email-masked]> writes:
>>
>> > 5. create a file gexp.scm with this content:
>> > (use-modules
>> >  (gnu packages package-management)
>> >  (guix gexp))
>> >
>> > (program-file
>> >  "a"
>> >  (with-extensions
>> >   (list guix)
>> >   #~(#t)))
>> > 6. guix build -f gexp.scm
>> >
>> > This will fail with as strange error message.
>>
>> What’s the error message?
>
> guix build: error: got unexpected path <store-path-name> from substituter
>
> <store-path-name> varies, currently it was
> /gnu/store/0q95b...-libarchive-3.4.0.tar.gz

Fixed by e2922f527ee8d891a41b5086637fa560a1c2ddd8!  I’ll update the
‘guix’ package shortly.

This was tricky to reproduce because it depends on what’s in your store
and what’s in /var/guix/substitute/cache.

I managed to reproduce it first in a VM following your instructions, and
then on a local instance of guix-daemon where I had wiped
/var/guix/substitute/cache and also changed the condition in
‘http-multiple-get’ to exercise the “Connection: close” case (which is
otherwise infrequent.)

Thanks a lot for your investigation, which helped a lot!

Ludo’.

Subject: Installer fails on install disk built from master
From: Gábor Boskovits <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jan 2020 15:48:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I noticed that the install disk created on current master can't
install the system.

This is on:
e4c9ba4da2a6faf80209488d5c086ea0d5c39214
.

I have found a reproducer that might highlight where the problem is.

Steps to reproduce:
1. guix pull
2. build the installer image
guix system disk-image --file-system-type=iso9660 \
  gnu/system/install.scm
3. boot it
4. switch to tty3
5. create a file gexp.scm with this content:
(use-modules
 (gnu packages package-management)
 (guix gexp))

(program-file
 "a"
 (with-extensions
  (list guix)
  #~(#t)))
6. guix build -f gexp.scm

This will fail with as strange error message.
This same problem causes the final installation failure in the installer.

This works fine on the latest installation image.
This works if you run it again after it fails.

Any help on debugging this further would be appreciated.

Best regards,
g_bor
-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21